### Function

# FwupdPlugin bytes_get_contents_stream

since: 1.8.2

#### Declaration [src]

    GBytes*
    fu_bytes_get_contents_stream (
      GInputStream* stream,
      gsize count,
      GError** error
    )

#### Description [src]

Reads a blob from a specific input stream.

Available since: 1.8.2

#### Parameters

`stream`

  Type: `GInputStream`

  Input stream.

  The data is owned by the caller of the function.

`count`

  Type: `gsize`

  The maximum number of bytes to read.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GBytes`

A `GBytes`, or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.